lkml.org 
[lkml]   [2011]   [Jan]   [26]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 2.6.36/2.6.37: broken compatibility with userspace input-utils ?
On Wed, Jan 26, 2011 at 04:49:14PM -0500, Mark Lord wrote:
> Or perhaps get rid of that unworkable "version number" thing
> (just freeze it in time with the 2.6.35 value returned),
> and implement a "get_feature_flags" ioctl or something for going forward.
> Then you can just turn on new bits in the flags as new features are added.
>

That could be done but I do not expect retire features so far so version
is about the same. Plus, what guarantees that someone in the future
won't write a utility that compares exact capability bitmap and refuse
to work when new ones will be added?

--
Dmitry


\
 
 \ /
  Last update: 2011-01-26 23:11    [W:0.080 / U:0.668 seconds]
©2003-2018 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site